Bug 1030266 - Readonly filed "Type" has wrong name and id attributes in edit mode of Scoped roles form
Readonly filed "Type" has wrong name and id attributes in edit mode of Scoped...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR0
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 04:16 EST by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 10:34:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-11-14 04:16:55 EST
Attributes name and id (even though this one is generated by GWT) are incorrect for "Type" filed in Scoped Roles form. 

<input type="text" class="gwt-TextBox" name="name" title="Type" tabindex="0" disabled="" id="form-gwt-uid-61_name#1" aria-labelledby="form-gwt-uid-61_name#1_l" aria-required="true">

It seems to me like this is copy-paste-edited "Name" filed, except attributes weren't renamed. 
 
<input type="text" class="gwt-TextBox" name="name" title="Name" tabindex="0" disabled="" id="form-gwt-uid-61_name" aria-labelledby="form-gwt-uid-61_name_l" aria-required="true">
Comment 1 Harald Pehl 2013-11-14 04:35:44 EST
The ever-popular copy-paste-pattern. Fixed in upstream.
Comment 2 Jakub Cechacek 2014-07-07 06:48:07 EDT
Verified

Note You need to log in before you can comment on or make changes to this bug.